summaryrefslogtreecommitdiff
path: root/nonsystemd/dbus/dbus.initd
diff options
context:
space:
mode:
authorDavid P <megver83@parabola.nu>2020-01-18 13:01:29 -0300
committerDavid P <megver83@parabola.nu>2020-01-18 13:01:29 -0300
commit5bbad0a6c0a66ad6cdd9031b888dda5be2b24ed3 (patch)
tree9af123ad81f4756b28fffc70084d6ab35a1f2cf0 /nonsystemd/dbus/dbus.initd
parentf798bb419dbef10358ef9d8365e7d592e9a055ea (diff)
downloadabslibre-5bbad0a6c0a66ad6cdd9031b888dda5be2b24ed3.tar.gz
abslibre-5bbad0a6c0a66ad6cdd9031b888dda5be2b24ed3.tar.bz2
abslibre-5bbad0a6c0a66ad6cdd9031b888dda5be2b24ed3.zip
updpkg: nonsystemd/dbus 1.12.16-3.nonsystemd1
Signed-off-by: David P <megver83@parabola.nu>
Diffstat (limited to 'nonsystemd/dbus/dbus.initd')
-rw-r--r--nonsystemd/dbus/dbus.initd30
1 files changed, 15 insertions, 15 deletions
diff --git a/nonsystemd/dbus/dbus.initd b/nonsystemd/dbus/dbus.initd
index bd3542381..8c4ad242f 100644
--- a/nonsystemd/dbus/dbus.initd
+++ b/nonsystemd/dbus/dbus.initd
@@ -1,36 +1,36 @@
-#!/sbin/openrc-run
-# Copyright 1999-2016 Gentoo Foundation
+#!/usr/bin/openrc-run
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License, v2 or later
extra_started_commands="reload"
description="An IPC message bus daemon"
-pidfile="/var/run/dbus.pid"
+pidfile="/run/dbus/pid"
command="/usr/bin/dbus-daemon"
command_args="--system"
-dbus_socket="/var/run/dbus/system_bus_socket"
+dbus_socket="/run/dbus/system_bus_socket"
depend() {
- need localmount
- after bootmisc
+ need localmount
+ after bootmisc
}
start_pre() {
- /usr/bin/dbus-uuidgen --ensure=/etc/machine-id
+ /usr/bin/dbus-uuidgen --ensure=/etc/machine-id
- # We need to test if /var/run/dbus exists, since script will fail if it does not
- checkpath -q -d /var/run/dbus
+ # We need to test if /run/dbus exists, since script will fail if it does not
+ checkpath -q -d "/run/dbus"
}
stop_post() {
- [ ! -S "${dbus_socket}" ] || rm -f "${dbus_socket}"
+ [ ! -S "${dbus_socket}" ] || rm -f "${dbus_socket}"
}
reload() {
- ebegin "Reloading D-BUS messagebus config"
- /usr/bin/dbus-send --print-reply --system --type=method_call \
- --dest=org.freedesktop.DBus \
- / org.freedesktop.DBus.ReloadConfig > /dev/null
- eend $?
+ ebegin "Reloading D-BUS messagebus config"
+ dbus-send --print-reply --system --type=method_call \
+ --dest=org.freedesktop.DBus \
+ / org.freedesktop.DBus.ReloadConfig > /dev/null
+ eend $?
}